/**
 * Thrown when trying to register a component that is missing a 'name' parameter
 * @category Errors
 */
export declare class ComponentTypeKeyMissing extends Error {
    constructor();
}
/**
 * Thrown when trying to access a component that has not been registered
 * @category Errors
 */
export declare class ComponentNotRegistered extends Error {
    componentName: string;
    constructor(componentName: string);
}
//# sourceMappingURL=errors.d.ts.map